<% 
strDebug = "0"
'---------------------------------
' common inputs
'---------------------------------
strCurrentSession = Session.SessionID

if strCurrentSession <> "" then
	response.cookies ("Screen")("SS") = strCurrentSession
end if

Function DBValueToStr(Value)
    If IsNull(Value) Then
       DBValueToStr = ""
    Else
       DBValueToStr = CStr(Value)
    End If
End Function

'======================
' DATE & TIME
'======================

strUserYear = Year(Date)
strUserMonth = Month(Date)
strUserDay = Day(Date)
strUserHour = Hour(Now())
strUserMin = Minute(Now())

	if len(strUserMonth) < 2 then
      	strUserMonth = "0" & strUserMonth
	end if
	

	if len(strUserDay) < 2 then
		strUserDay = "0" & strUserDay
	end if	

	if len(strUserHour) < 2 then
		strUserHour = "0" & strUserHour
	end if
	
	if len(strUserMin) < 2 then
		strUserMin = "0" & strUserMin
	end if
	

	strUserDate = strUserYear & "-" & strUserMonth & "-" & strUserDay
	strUserTime = strUserHour & ":" & strUserMin
	strUserDateTime = strUserDate & " " & strUserTime	

'-----------------------------
' detect user details
'-----------------------------
	strUserAgent = Lcase(Request.ServerVariables("HTTP_USER_AGENT"))
	strCheckReferrer = Request.ServerVariables("HTTP_REFERER")
	strCheckIPnumber = Request.ServerVariables("REMOTE_ADDR")
	strServer = Request.ServerVariables("SERVER_NAME")
	strUrl = Request.ServerVariables("URL")
	strUserLanguage = Lcase(request.servervariables("HTTP_ACCEPT_LANGUAGE"))

	if Request.Querystring <> "" then
		strLastLink = strUrl & "?" & Request.Querystring
	elseif Request.Form <> "" then
		strLastLink = strUrl & "?" & Request.Querystring & Request.Form
	else
		strLastLink = strUrl
	end if
	
if inStr(strUserAgent,"windows nt 5") > 0 or inStr(strUserAgent,"windows nt 6") > 0 then
	strPlatformType = "win"
elseif inStr(strUserAgent,"mac") > 0 then
	strPlatformType = "mac"
elseif inStr(strUserAgent,"x11") > 0 or inStr(strUserAgent,"linux") > 0 then
	strPlatformType = "linux"
end if

if inStr(strUserAgent,"msie 6") > 0 or inStr(strUserAgent,"msie 7") > 0 or inStr(strUserAgent,"msie 8") > 0 or inStr(strUserAgent,"trident/4") > 0 then
	strBrowserType = "ie"
elseif inStr(strUserAgent,"camino") > 0 > 0 then
	strBrowserType = "camino"
elseif inStr(strUserAgent,"chrome") > 0 and inStr(strUserAgent,"safari") > 0 then
	strBrowserType = "chrome"
elseif (inStr(strUserAgent,"firefox/1.5") > 0 or inStr(strUserAgent,"firefox/2") > 0 or inStr(strUserAgent,"firefox/3") > 0) and inStr(strUserAgent,"navigator") = 0 then
	strBrowserType = "firefox"
elseif inStr(strUserAgent,"navigator/9") > 0 then
	strBrowserType = "netscape"
elseif inStr(strUserAgent,"opera/9") > 0 or inStr(strUserAgent,"opera/10") > 0 then
	strBrowserType = "opera"
elseif (inStr(strUserAgent,"safari/3") > 0 or inStr(strUserAgent,"safari/4") > 0 or inStr(strUserAgent,"safari/5") > 0) and inStr(strUserAgent,"applewebkit") > 0 then
	strBrowserType = "safari"
	else
	strBrowserType = "no"
end if

%>
<!--#include file="inc_language_decode.asp"-->
<!--#include file="inc_search_engines.asp"-->
<%
'-----------------------------
' check session record
'-----------------------------

if strCurrentSession <> "" then
		SQLSession = "SELECT * FROM HitCount Where HitCount.Sess = '" & strCurrentSession & "' Order By HitCount.HitID DESC "
		Set rsSession = dbConnection.Execute(SQLSession)	
			if NOT rsSession.EOF then
				strDataSession = rsSession("Sess").value
				'---------------------
				' check session
				'---------------------
					if DBValueToStr(strCurrentSession) = DBValueToStr(strDataSession) then
						strAlreadyHere = "1"
						else
						strAlreadyHere = "0"
					end if
			else
				strAlreadyHere = "0"	
			end if			
		rsSession.Close
		Set rsSession = Nothing
end if

'-----------------------------
' check screen cookie
'-----------------------------

if Request.Cookies("screen") <> "" then
	strCookieSession = Request.Cookies("Screen")("SS")		
end if

if DBValueToStr(strCurrentSession) = DBValueToStr(strCookieSession) then
	strCookieTest = "1"
else
	strCookieTest = "0"
end if 


strHitdate = Now()

strTestY = datepart("yyyy", strHitDate)*518400 
strTestM = datepart("m", strHitDate)*43200 
strTestD = datepart("d", strHitDate)*1440 
strTestH = datepart("h", strHitDate)*60 
strTestN = datepart("n", strHitDate)*1

strTotalNow = strTestY + strTestM + strTestD + strTestH + strTestN

'------------------------------------
' record first visit of the session
'------------------------------------

if len(strLastLink) > 40 then
	strLastLink = Left(strLastLink, 40)
end if

if len(strCheckReferrer) > 40 then
	strCheckReferrer = Left(strCheckReferrer, 40)
end if

if strAlreadyHere <> "1" then	
	SQLHit = "Insert Into HitCount ( [Ref], [Page], [Agent], [IP], [Lang], [Plat], [Brow], [Cook], [Sess], [Dated], [LogMinute], [Minutes], [Search] ) " & _
	"Values ( '" & strCheckReferrer & "', '" & strLastLink & "', '" & strUserAgent & "', '" & strCheckIPnumber & "', '" & strLangDecode & "', '" & strPlatformType & "' , '" & strBrowserType & "', '" & strCookieTest & "', '" & strCurrentSession & "', '" & strUserDateTime & "', '" & strTotalNow & "', '" & strTotalNow & "', '" & strEngine & "' )"
	dbConnection.Execute(SQLHit)
end if

'---------------------
' update session 
'---------------------

if strAlreadyHere = "1" then 	
	SQLUpdateHit = "Select * From HitCount Where HitCount.Sess = '" & strCurrentSession & "' Order by HitCount.HitID DESC"
	Set rsUpdateHit = dbConnection.Execute(SQLUpdateHit)
		If not rsUpdateHit.EOF then
			strUpdateID = rsUpdateHit("HitID")
			SQLUpdateHit = "Update HitCount Set " & _
			"[Page] = '" & strLastLink & "', " & _
			"[Minutes] = '" & strTotalNow & "' " & _
			"Where HitCount.HitID = " & strUpdateID & " ;"
			dbConnection.Execute(SQLUpdateHit)	
		else			
			SQLHit = "Insert Into HitCount ( [Ref], [Page], [Agent], [IP], [Lang], [Plat], [Brow], [Cook], [Sess], [Dated], [LogMinute], [Minutes], [Search] ) " & _
			"Values ( '" & strCheckReferrer & "', '" & strLastLink & "', '" & strUserAgent & "', '" & strCheckIPnumber & "', '" & strLangDecode & "', '" & strPlatformType & "' , '" & strBrowserType & "', '" & strCookieTest & "', '" & strCurrentSession & "', '" & strUserDateTime & "', '" & strTotalNow & "', '" & strTotalNow & "', '" & strEngine & "' )"
			dbConnection.Execute(SQLHit)
		end if
	rsUpdateHit.Close
	Set rsUpdateHit = Nothing									
end if

if strDebug = "1" then	
	response.write"<br>UserAgent = " & strUserAgent & "<br>"
	response.write"CookieSession = " & strCookieSession & "<br>"
	response.write"DataSession = " & strDataSession & "<br>"
	response.write"CurrentSession= " & strCurrentSession & "<br>"
	response.write"AlreadyHere = " & strAlreadyHere & "<br>"
	response.write"TotalNow = " & strTotalNow & "<br>"
	response.write"Referer = " & strCheckReferrer & "<br>"
end if

%>
